
Redmine - Defect #8325

undefined method `name' for "actionmailer":String (RubyGems > 1.6 not supported)

2011-05-09 21:17 - Ronnie Taylor

Status: Closed Start date: 2011-05-09

Priority: Normal Due date:  

Assignee:  % Done: 20%

Category: Gems support Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

I've updated my code base with git pull from HEAD. I've updated my rails environment accordingly and I think I have all the

dependencies installed correctly.

The problem is that I receive the error "undefined method `name' for "actionmailer":String" when I try to run the migration.

A full trace is below. Any assistance is greatly appreciated.

** Invoke db:migrate (first_time)

** Invoke environment (first_time)

** Execute environment

rake aborted!

undefined method `name' for "actionmailer":String

/usr/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/rails/gem_dependency.rb:277:in `=='

/usr/local/lib/site_ruby/1.8/rubygems/dependency.rb:217:in `==='

/usr/local/lib/site_ruby/1.8/rubygems/dependency.rb:217:in `matching_specs'

/usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:36:in `find_all'

/usr/local/lib/site_ruby/1.8/rubygems/specification.rb:403:in `each'

/usr/local/lib/site_ruby/1.8/rubygems/specification.rb:402:in `each'

/usr/local/lib/site_ruby/1.8/rubygems/dependency.rb:216:in `find_all'

/usr/local/lib/site_ruby/1.8/rubygems/dependency.rb:216:in `matching_specs'

/usr/local/lib/site_ruby/1.8/rubygems/dependency.rb:231:in `to_specs'

/usr/local/lib/site_ruby/1.8/rubygems/dependency.rb:249:in `to_spec'

/usr/local/lib/site_ruby/1.8/rubygems.rb:1182:in `gem'

/usr/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/rails/gem_dependency.rb:75:in `add_load_paths'

/usr/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/initializer.rb:301:in `add_gem_load_paths'

/usr/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/initializer.rb:301:in `each'

/usr/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/initializer.rb:301:in `add_gem_load_paths'

/usr/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/initializer.rb:132:in `process'

/usr/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/initializer.rb:113:in `send'

/usr/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/initializer.rb:113:in `run'

/var/www/vhosts/thisismyserver.com/rails_apps/redmine/config/environment.rb:20

/usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'

/usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'

/usr/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:182:in `requir

e'

/usr/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:547:in `new_co

nstants_in'

/usr/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:182:in `requir

e'

/usr/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/tasks/misc.rake:4

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:636:in `call'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:636:in `execute'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:631:in `each'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:631:in `execute'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:597:in `invoke_with_call_chain'

/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:590:in `invoke_with_call_chain'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:607:in `invoke_prerequisites'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:604:in `each'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:604:in `invoke_prerequisites'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:596:in `invoke_with_call_chain'
/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:590:in `invoke_with_call_chain'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:583:in `invoke'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2051:in `invoke_task'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `top_level'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `each'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `top_level'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2023:in `top_level'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2001:in `run'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:1998:in `run'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/bin/rake:31

/usr/bin/rake:19:in `load'

/usr/bin/rake:19

Related issues:

Related to Redmine - Defect #7516: Redmine does not work with RubyGems 1.5.0 Closed 2011-02-02

Has duplicate Redmine - Defect #8518: undefined method `name' for "abstract":... Closed 2011-06-03

Has duplicate Redmine - Defect #8969: rake aborted!  undefined method `name' ... Closed 2011-08-02

History

#1 - 2011-05-11 19:12 - Ronnie Taylor

I've updated my code base again today and the error has changed a little. When I run rake I get:

"undefined method `name' for "abstract":String" (see new trace below)

I've checked my rails set up as best I know how. I've even tested out a couple of other simple rails apps and they seem to run ok. So...I'm still

stumped on this issue.

(in /var/www/vhosts/thisismyserver.com/rails_apps/redmine)

** Invoke db:migrate (first_time)

** Invoke environment (first_time)

** Execute environment

rake aborted!

undefined method `name' for "abstract":String

/usr/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/rails/gem_dependency.rb:277:in `=='

/usr/local/lib/site_ruby/1.8/rubygems/dependency.rb:217:in `==='

/usr/local/lib/site_ruby/1.8/rubygems/dependency.rb:217:in `matching_specs'

/usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:36:in `find_all'

/usr/local/lib/site_ruby/1.8/rubygems/specification.rb:403:in `each'

/usr/local/lib/site_ruby/1.8/rubygems/specification.rb:402:in `each'

/usr/local/lib/site_ruby/1.8/rubygems/dependency.rb:216:in `find_all'

/usr/local/lib/site_ruby/1.8/rubygems/dependency.rb:216:in `matching_specs'

/usr/local/lib/site_ruby/1.8/rubygems/dependency.rb:231:in `to_specs'

/usr/local/lib/site_ruby/1.8/rubygems/dependency.rb:249:in `to_spec'

/usr/local/lib/site_ruby/1.8/rubygems.rb:1182:in `gem'

/usr/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/rails/gem_dependency.rb:75:in `add_load_paths'

/usr/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/initializer.rb:301:in `add_gem_load_paths'

/usr/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/initializer.rb:301:in `each'

/usr/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/initializer.rb:301:in `add_gem_load_paths'

/usr/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/initializer.rb:132:in `process'

/usr/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/initializer.rb:113:in `send'

/usr/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/initializer.rb:113:in `run'

/var/www/vhosts/thisismyserver.com/rails_apps/redmine/config/environment.rb:20

/usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'

/usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'

/usr/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:182:in `require'

/usr/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:547:in `new_constants_in'

/usr/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:182:in `require'

/usr/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/tasks/misc.rake:4

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:636:in `call'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:636:in `execute'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:631:in `each'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:631:in `execute'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:597:in `invoke_with_call_chain'

/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:590:in `invoke_with_call_chain'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:607:in `invoke_prerequisites'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:604:in `each'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:604:in `invoke_prerequisites'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:596:in `invoke_with_call_chain'

/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:590:in `invoke_with_call_chain'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:583:in `invoke'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2051:in `invoke_task'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `top_level'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `each'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `top_level'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2023:in `top_level'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2001:in `run'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:1998:in `run'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/bin/rake:31

/usr/bin/rake:19:in `load'

/usr/bin/rake:19

#2 - 2011-05-12 00:35 - Marlos Ribeiro

I got the same problem. could be problems with RAILS? rack?

#3 - 2011-05-17 02:26 - Gerald Du

I had the same error message with gem 1.8.2 and rails 2.3.11,

but it works again when I switched back to gem 1.6.2...

#4 - 2011-05-17 03:31 - Ronnie Taylor

I ended up reverting back to redmine 1.1.3 on a new server so I can't confirm your theory but I think that is the right answer.

When I have some extra time I will try out the master branch to make sure.

Thanks for the comments!

#5 - 2011-05-20 15:53 - Etienne Massip

- Category set to Gems support

#6 - 2011-05-20 16:09 - Etienne Massip

Related RubyGems bug tracker entry is here.

#7 - 2011-05-20 16:16 - Etienne Massip

And Rails tracker entry

#8 - 2011-05-23 11:59 - Etienne Massip

- Subject changed from undefined method `name' for "actionmailer":String to undefined method `name' for "actionmailer":String (RubyGems > 1.6 not

supported)

Using Bundler patch (see #5638), you can still use RubyGems > 1.6, but this is not recommended as for Redmine 1.2.0.

#9 - 2011-06-14 23:31 - Nikola Kotur

Also got bit by this while upgrading Redmine to 1.2.0.

That bug hasn't been fixed for over a month now. Now, I can't even go back to 1.1.3.

#10 - 2011-06-15 15:58 - Jens Chorus

With the following gems it works:

Rails (2.3.11)

i18n (0.4.2)

rack (1.1.1)

rake (0.9.2)

rubygems-update (1.6.0)

#11 - 2011-06-15 16:54 - Etienne Massip

Nikola Kotur wrote:

Also got bit by this while upgrading Redmine to 1.2.0.

That bug hasn't been fixed for over a month now. Now, I can't even go back to 1.1.3.
 This is not a bug, latest stable doesn't work with RubyGems > 1.6 because Rails 2.3.11 doesn't work with RubyGems > 1.6 as stated in requirements

:

Rails 2.3.11 will fail with RubyGems 1.7.0 or later, stick to previous versions of RubyGems !

#12 - 2011-06-17 17:58 - Max Philippov

Jens Chorus wrote:

With the following gems it works:

Rails (2.3.11)

i18n (0.4.2)

rack (1.1.1)

rake (0.9.2)

rubygems-update (1.6.0)

 I've got the same gems, but when i'm trying: "rake db:migrate RAILS_ENV=production"(i'm on windows) i get the error as follows:

@rake aborted!

undefined method `name' for "abstract":String

Tasks: TOP => db:migrate => environment

(See full trace by running task with --trace)@

Cut, i can paste the full one if needed. So, what should I do to install redmine?

#13 - 2011-06-17 18:00 - Max Philippov

p.s. sorry, failed to format code as needed

#14 - 2011-06-17 21:27 - Max Philippov

Me problem solved

#15 - 2011-06-18 01:24 - Jose Figueroa

Maxin Samuel how did you fix it ? I'm having the same problem on centos linux

#16 - 2011-06-23 11:40 - wang yong

I hope you past the mothod. Thanks.

---------------------------------------

Max Philippov wrote:

Me problem solved

#17 - 2011-06-23 11:45 - wang yong

My gem list is the same ,but has the problem.

And 1.1.3 has same problem. I don't know why.

Jens Chorus wrote:

With the following gems it works:

Rails (2.3.11)

i18n (0.4.2)

rack (1.1.1)

rake (0.9.2)

rubygems-update (1.6.0)

 

#18 - 2011-06-24 17:11 - wang yong

- Status changed from New to Resolved

I resolved at last.

Important:

#yum -y install gcc

#yum -y install gcc-c++
#yum -y install curl-devel

#yum -y install openssl-devel

#yum -y install zlib-devel

#yum -y install httpd-devel

#yum -y install apr-devel

#yum -y install apr-util-devel

#yum -y install mysql-devel

Install above at first is very important.

wang yong wrote:

My gem list is the same ,but has the problem.

And 1.1.3 has same problem. I don't know why.

Jens Chorus wrote:

With the following gems it works:

Rails (2.3.11)

i18n (0.4.2)

rack (1.1.1)

rake (0.9.2)

rubygems-update (1.6.0)

 

#19 - 2011-06-25 10:37 - w h

Resolved you say?

What is the resolution then? Depending on 'mysql-devel' or what? Sorry but this comes close to bullshit!

#20 - 2011-06-25 12:59 - Etienne Massip

- Status changed from Resolved to New

#21 - 2011-06-25 14:24 - w h

I'm having trouble right now to reproduce the original error message (which occurred after done something like gem update --system && gem update

a couple of days ago - the problem got apparent after restarting redmine today ..).

Reproducible is that gem update --system renders my Redmine installation unusable in a sense that I can't restart: I'm facing messages that gems

rubytree and coderay are missing while they are just in front of me in vendors/gems. I solved this problem by going back to RubyGems 1.6.2:

$ sudo gem update --system 1.6.2

$ gem -v

1.6.2

I'm a bit reluctant to write down the exact list of gems available cause "reproducing" them appears not to be the holy grail. For example, if there is also

rack 1.3.0 installed, then disaster strikes again. Nevertheless, here is my list of relevant gems ..

$ gem list | grep -P '^(rails|i18n|rack|rake|rubygems-update) '

i18n (0.6.0, 0.5.0, 0.4.2)

rack (1.1.1)

rails (3.0.9, 2.3.11)

rake (0.9.2, 0.8.7)

rubygems-update (1.8.5, 1.6.2)

 I must say that I'm not at all impressed by this Gem hell and I'm neither impressed by this relentless waves of 'undefined methods' and deprecated

warnings. This is my approach to somehow freeze Redmine:

$ cd /srv/redmine-1.2.0

$ rake rails:freeze:gems

rake/rdoctask is deprecated.  Use rdoc/task instead (in RDoc 2.4.2+)

WARNING: 'task :t, arg, :needs => [deps]' is deprecated.  Please use 'task :t, [args] => [deps]' instead.

    at /srv/redmine-1.2.0/lib/tasks/email.rake:170

Freezing to the gems for Rails 3.0.9

rake aborted!

undefined method `version_requirements' for #<Gem::Dependency:0x1010a3a28>
Tasks: TOP => rails:freeze:gems

(See full trace by running task with --trace)

#22 - 2011-07-06 19:04 - Ramiro Daniel Ledesma

Max Philippov wrote:

Jens Chorus wrote:

With the following gems it works:

Rails (2.3.11)

i18n (0.4.2)

rack (1.1.1)

rake (0.9.2)

rubygems-update (1.6.0)

 I've got the same gems, but when i'm trying: "rake db:migrate RAILS_ENV=production"(i'm on windows) i get the error as follows:

@rake aborted!

undefined method `name' for "abstract":String

Tasks: TOP => db:migrate => environment

(See full trace by running task with --trace)@

Cut, i can paste the full one if needed. So, what should I do to install redmine?

 How do you resolved it?

Thanks

#23 - 2011-07-27 14:25 - Morgan Christiansson

I'm also having this issue. Both with git dev version and latest stable release.

#24 - 2011-07-28 22:57 - Jeroen Beerstra

I resolved this by upgrading to rails 2.3.12:

- remove vendor/rails from your redmine install

- set RAILS_GEM_VERSION = '2.3.12' in config/environment.rb

- profit!

1. ruby -v

ruby 1.8.7 (2010-06-23 patchlevel 299) [x86_64-linux]

2. gem -v

1.8.6

3. gem list

LOCAL GEMS ***

abstract (1.0.0)

actionmailer (3.0.9, 3.0.5, 2.3.12, 2.3.11)

actionpack (3.0.9, 3.0.5, 2.3.12, 2.3.11)

activemodel (3.0.9, 3.0.5)

activerecord (3.0.9, 3.0.5, 2.3.12, 2.3.11)

activeresource (3.0.9, 3.0.5, 2.3.12, 2.3.11)

activesupport (3.0.9, 3.0.5, 2.3.12, 2.3.11)

addressable (2.2.6)

arel (2.1.4, 2.0.10)

bcrypt-ruby (2.1.4)

builder (3.0.0, 2.1.2)

bundler (1.0.15)

capistrano (2.6.0)

capybara (1.0.0)

childprocess (0.2.0)

chronic (0.6.1, 0.3.0)

closure-compiler (1.1.1)

coderay (0.9.7)

daemon_controller (0.2.6)

daemons (1.1.4)

data_objects (0.10.6)

delayed_job (2.1.4)

devise (1.4.2)

diff-lcs (1.1.2)

dm-active_model (1.1.0)

2025-05-02 6/12



dm-aggregates (1.1.0)

dm-chunked_query (0.3.0)

dm-constraints (1.1.0)

dm-core (1.1.0)

dm-devise (1.4.0)

dm-do-adapter (1.1.0)

dm-migrations (1.1.0)

dm-mysql-adapter (1.1.0)

dm-observer (1.1.0)

dm-pager (1.1.0)

dm-rails (1.1.0)

dm-serializer (1.1.0)

dm-timestamps (1.1.0)

dm-transactions (1.1.0)

dm-types (1.1.0)

dm-validations (1.1.0)

dm-visualizer (0.2.1, 0.1.0)

do_mysql (0.10.6)

erubis (2.7.0, 2.6.6)

fastercsv (1.5.4)

fastthread (1.0.7)

ffi (1.0.9)

highline (1.6.2)

hoe (2.10.0)

i18n (0.6.0, 0.5.0, 0.4.2)

jammit (0.6.3, 0.5.4)

jquery-rails (1.0.12)

json (1.5.3, 1.4.6)

json_pure (1.5.3)

mail (2.3.0, 2.2.19)

mime-types (1.16)

mocha (0.9.12)

net-dns (0.6.1)

net-scp (1.0.4)

net-sftp (2.0.5)

net-ssh (2.1.4)

net-ssh-gateway (1.1.0)

nokogiri (1.5.0)

open4 (1.1.0)

orm_adapter (0.0.5)

passenger (3.0.7)

pdfkit (0.5.2, 0.4.6)

Platform (0.4.0)

polyglot (0.3.2, 0.3.1)

POpen4 (0.1.4)

rack (1.3.2, 1.2.3, 1.1.2)

rack-mount (0.8.1, 0.6.14)

rack-test (0.6.1, 0.5.7)

rails (3.0.9, 3.0.5, 2.3.12)

railties (3.0.9, 3.0.5)

rake (0.9.2)

rdoc (3.8)

RedCloth (4.2.7)

require_all (1.2.0)

rmagick (2.13.1)

rspec (2.6.0, 2.0.1)

rspec-core (2.6.4, 2.0.1)

rspec-expectations (2.6.0, 2.0.1)

rspec-mocks (2.6.0, 2.0.1)

rspec-rails (2.6.1, 2.0.1)

ruby-graphviz (1.0.0)

rubygems-update (1.8.6, 1.6.0)

rubytree (0.8.1, 0.5.2)

rubyzip (0.9.4)

selenium-webdriver (2.2.0, 0.2.2)

simple_form (1.4.2, 1.2.2)

stringex (1.2.2)

sugar-high (0.5.0, 0.2.12)

thor (0.14.6)

treetop (1.4.10, 1.4.9)

tzinfo (0.3.29)

uuidtools (2.1.2)

warden (1.0.5, 1.0.4)

whois (2.0.4, 1.6.6)

xpath (0.1.4)
yui-compressor (0.9.6)

Btw took me a lot of time to figure out this line made apache passenger refuse this setup with funky errors:

RailsSpawnMethod smart

Hope this helps.

#25 - 2011-08-02 11:53 - poornima biradar

i am totally new to this , want to install redmine on ubuntu(version being installed is 1.2.1)

when i run

sudo rake db:migrate RAILS_ENV="production"

 i get

rake aborted!

 undefined method `name' for "abstract":String

 following are the versions i am using ...

i18n (0.5.0, 0.4.2)

rack (1.2.3)

rails (3.0.9)

rake (0.9.2)

gem 1.8.6

please please help to resolve this issue... it will be of great help :)

#26 - 2011-08-02 12:40 - poornima biradar

After refering to the correct versions of rails and rack supported by redmine on http://www.redmine.org/projects/redmine/wiki/RedmineInstall

for redmine 1.2.1, i run following

sudo gem install rails -v=2.3.11

sudo gem install rack -v=1.1.0

now

i18n (0.5.0, 0.4.2)

rack (1.2.3, 1.1.2, 1.1.0)

rails (3.0.9, 2.3.11)

rake (0.9.2)

rubygems-update (1.8.6)

but still i get the same error

#27 - 2011-08-07 22:56 - Akiko Takano

Hello. I saw the same problem when trying to install trunk.

Following this issue's information, I've downgraded rubygem from 1.8.x to 1.6.2.

(Indeed, I failed to run redmine with rubygems 1.8.7)

And after that I could run redmine.

My setting is following:

$ sudo ruby script/about

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.6.2

Rack version              1.1.2

Rails version             2.3.11

Active Record version     2.3.11

Active Resource version   2.3.11

Action Mailer version     2.3.11

Active Support version    2.3.11

#28 - 2011-08-08 14:30 - Alex Bevilacqua

Jeroen Beerstra wrote:
I resolved this by upgrading to rails 2.3.12:

- remove vendor/rails from your redmine install

- set RAILS_GEM_VERSION = '2.3.12' in config/environment.rb

- profit!

...

Btw took me a lot of time to figure out this line made apache passenger refuse this setup with funky errors:

RailsSpawnMethod smart

Hope this helps.

 Just wanted to throw my two cents in here that upgrading to rails 2.3.12 and modifying the RAILS_GEM_VERSION also resolved the problem for me

:)

#29 - 2011-09-12 14:40 - Rendall Ren

Jeroen Beerstra wrote:

Just wanted to throw my two cents in here that upgrading to rails 2.3.12 and modifying the RAILS_GEM_VERSION also resolved the problem for

me :)

 This did not work for me. The error now is:

rake aborted!

uninitialized constant RDoc

/opt/redmine-1.2/Rakefile:10

#30 - 2011-09-15 06:34 - Christopher Tilley

Rendall

Try gem install rdoc -v=3.8

Rendall Ren wrote:

Jeroen Beerstra wrote:

Just wanted to throw my two cents in here that upgrading to rails 2.3.12 and modifying the RAILS_GEM_VERSION also resolved the

problem for me :)

 This did not work for me. The error now is:

rake aborted!

uninitialized constant RDoc

/opt/redmine-1.2/Rakefile:10

#31 - 2011-09-15 07:51 - Rob Gillan

Relative newbie to RoR so please excuse.

Trying to install Redmine on OS X 10.5 client.  Running into same errors at:

RAILS_ENV=production rake db:migrate --trace

gives

Invoke db:migrate (first_time)

Invoke environment (first_time)

Execute environment

rake aborted!

undefined method `name' for "actionmailer":String

/usr/local/redmine-1.2.1/config/../vendor/rails/railties/lib/rails/gem_dependency.rb:277:in `=='

/usr/local/lib/ruby/site_ruby/1.8/rubygems/dependency.rb:217:in `==='

/usr/local/lib/ruby/site_ruby/1.8/rubygems/dependency.rb:217:in `matching_specs'

/usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `find_all'

/usr/local/lib/ruby/site_ruby/1.8/rubygems/specification.rb:410:in `each'

/usr/local/lib/ruby/site_ruby/1.8/rubygems/specification.rb:409:in `each'

/usr/local/lib/ruby/site_ruby/1.8/rubygems/dependency.rb:216:in `find_all'
/usr/local/lib/ruby/site_ruby/1.8/rubygems/dependency.rb:216:in `matching_specs'

/usr/local/lib/ruby/site_ruby/1.8/rubygems/dependency.rb:238:in `to_specs'

/usr/local/lib/ruby/site_ruby/1.8/rubygems/dependency.rb:256:in `to_spec'

/usr/local/lib/ruby/site_ruby/1.8/rubygems.rb:1210:in `gem'

/usr/local/redmine-1.2.1/config/../vendor/rails/railties/lib/rails/gem_dependency.rb:75:in `add_load_paths'

/usr/local/redmine-1.2.1/config/../vendor/rails/railties/lib/initializer.rb:301:in `add_gem_load_paths'

/usr/local/redmine-1.2.1/config/../vendor/rails/railties/lib/initializer.rb:301:in `each'

/usr/local/redmine-1.2.1/config/../vendor/rails/railties/lib/initializer.rb:301:in `add_gem_load_paths'

/usr/local/redmine-1.2.1/config/../vendor/rails/railties/lib/initializer.rb:132:in `process'

/usr/local/redmine-1.2.1/config/../vendor/rails/railties/lib/initializer.rb:113:in `send'

/usr/local/redmine-1.2.1/config/../vendor/rails/railties/lib/initializer.rb:113:in `run'

/usr/local/redmine-1.2.1/config/environment.rb:20

/usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'

/usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'

/usr/local/redmine-1.2.1/vendor/rails/activesupport/lib/active_support/dependencies.rb:182:in `require'

/usr/local/redmine-1.2.1/vendor/rails/activesupport/lib/active_support/dependencies.rb:547:in `new_constants_in'

/usr/local/redmine-1.2.1/vendor/rails/activesupport/lib/active_support/dependencies.rb:182:in `require'

/usr/local/redmine-1.2.1/vendor/rails/railties/lib/tasks/misc.rake:4

/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:205:in `call'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:205:in `execute'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:200:in `each'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:200:in `execute'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:158:in `invoke_with_call_chain'

/usr/local/lib/ruby/1.8/monitor.rb:242:in `synchronize'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:151:in `invoke_with_call_chain'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:176:in `invoke_prerequisites'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:174:in `each'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:174:in `invoke_prerequisites'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:157:in `invoke_with_call_chain'

/usr/local/lib/ruby/1.8/monitor.rb:242:in `synchronize'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:151:in `invoke_with_call_chain'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:144:in `invoke'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:112:in `invoke_task'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:90:in `top_level'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:90:in `each'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:90:in `top_level'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:129:in `standard_exception_handling'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:84:in `top_level'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:62:in `run'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:129:in `standard_exception_handling'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:59:in `run'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2/bin/rake:32

/usr/local/bin/rake:19:in `load'

/usr/local/bin/rake:19

Tasks: TOP => db:migrate => environment

dev:redmine-1.2.1 root#

gem list shows:

actionmailer (3.1.0, 2.3.12, 2.3.11)

actionpack (3.1.0, 2.3.12, 2.3.11)

activemodel (3.1.0)

activerecord (3.1.0, 2.3.12, 2.3.11)

activeresource (3.1.0, 2.3.12, 2.3.11)

activesupport (3.1.0, 2.3.12, 2.3.11)

arel (2.2.1)

bcrypt-ruby (3.0.1)

builder (3.0.0)

bundler (1.0.18)

cgi_multipart_eof_fix (2.5.0)

cheat (1.2.1)

daemon_controller (0.2.6)

daemons (1.0.10)

erubis (2.7.0)

eventmachine (0.12.10)

fastthread (1.0.7)

gem_plugin (0.2.3)

hike (1.2.1)

i18n (0.6.0, 0.4.2)

mail (2.3.0)

mime-types (1.16)

mongrel (1.1.5)

multi_json (1.0.3)

mysql (2.8.1)

nokogiri (1.3.3)
passenger (3.0.9)

polyglot (0.3.2)

rack (1.3.2, 1.1.2, 1.1.1, 1.0.1)

rack-cache (1.0.3)

rack-mount (0.8.3)

rack-ssl (1.3.2)

rack-test (0.6.1)

rails (3.1.0, 2.3.12, 2.3.11)

railties (3.1.0)

rake (0.9.2, 0.8.7)

rdoc (3.9.4, 3.8)

rspec (1.2.9)

rubygems-update (1.8.10, 1.6.0)

sprockets (2.0.0)

sqlite3-ruby (1.2.5)

thin (1.2.4)

thor (0.14.6)

tilt (1.3.3)

treetop (1.4.10)

tzinfo (0.3.29)

I've tried editing config/environment.rb for both 2.3.12 and 2.3.11 for RAILS_GEM_VERSION with no change.

Any help/guidance very much appreciated

Rob

#32 - 2011-09-15 08:06 - Rob Gillan

OK, seems I missed removing the vendor/rails directory and it was still trying that instead, sorry for the bother.

#33 - 2011-09-25 04:57 - 旭 張

- % Done changed from 0 to 20

is this problem solved ?

I got the same issues .....

here is my note about setup Redmine in Ubuntu (in Chinese) :

http://zx-1986.blogspot.com/2011/02/redmind.html

#34 - 2011-09-26 09:29 - Etienne Massip

旭 張 wrote:

is this problem solved ?

I got the same issues .....

here is my note about setup Redmine in Ubuntu (in Chinese) :

http://zx-1986.blogspot.com/2011/02/redmind.html

 Solved if you follow RedmineInstall, that is by using RubyGems <= 1.6

#35 - 2012-01-13 22:04 - Justin Grevich

Etienne Massip wrote:

旭 張 wrote:

is this problem solved ?

I got the same issues .....

here is my note about setup Redmine in Ubuntu (in Chinese) :

http://zx-1986.blogspot.com/2011/02/redmind.html

 Solved if you follow RedmineInstall, that is by using RubyGems <= 1.6

 I'm not a big fan of using an ancient version of RubyGems either.  This can be problematic when you have multiple rails apps on the same server as

Redmine.  I used RVM to create a custom Ruby with RubyGems 1.6.2.  You can find instructions for that here: 

http://beginrescueend.com/rubies/rubygems/

rvm install ree -n rg162

rvm use ree-rg162
gem --version

rvm rubygems 1.6.2

gem --version

 If Redmine was tied to a previous Ruby install or gemset, you can migrate the gems automatically via:

rvm gemset copy ree-1.8.7-2011.03@redmine ree-rg162

 I then created the appropriate .rvmrc file in the redmine folder and updated the gems.

If you're still having trouble, make sure you have the exact gem versions as mentioned in RedmineInstall.  I can confirm it works with the following

gemset (using passenger-standalone):

*** LOCAL GEMS ***

actionmailer (2.3.11)

actionpack (2.3.11)

activerecord (2.3.11)

activeresource (2.3.11)

activesupport (2.3.11)

daemon_controller (0.2.6)

fastthread (1.0.7)

i18n (0.4.2)

mysql (2.8.1)

passenger (3.0.11)

rack (1.1.3)

rails (2.3.11)

rake (0.8.7)

#36 - 2016-01-17 06:01 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix

We can close this issue because current versions of Redmine don't require such old version of rubygems.
